const utils = require('../utils/auth.utils')
const log   = require('../utils/log.utils')

module.exports = async function authCheck(req, res, next) {
    log.out(`authMiddlewares: Checking authentication`, "INFO")
    try {
        var uuid = req.headers.uuid
    } catch(err) {
        log.out(`authMiddlewares: No authentication attempted`, "INFO")
        err.status = 401
        return next(err)
    }
    try {
        var result = await utils.isAuthed(uuid) || false
        if (!result) {
            const err = new Error("Unauthorised");
            err.status = 401
            return next(err)
        } else {
            return next()
        }
    } catch(err) {
        return next(err)
    }
}