const clean = require('string-sanitizer-fix');
const log   = require('../utils/log.utils');

/*
string.sanitize("a.bc@d efg#h"); // abcdefgh
string.sanitize.keepSpace("a.bc@d efg#h"); // abcd efgh
string.sanitize.keepUnicode("a.bc@d efg#hক"); // abcd efghক
string.sanitize.addFullstop("a.bc@d efg#h"); // abcd.efgh
string.sanitize.addUnderscore("a.bc@d efg#h"); // abcd_efgh
string.sanitize.addDash("a.bc@d efg#h"); // abcd-efgh
string.sanitize.removeNumber("@abcd efgh123"); // abcdefgh
string.sanitize.keepNumber("@abcd efgh123"); // abcdefgh123
string.addFullstop("abcd efgh"); // abcd.efgh
string.addUnderscore("@abcd efgh"); // @abcd_efgh
string.addDash("@abcd efgh"); // @abcd-efgh
string.removeSpace("@abcd efgh"); // @abcdefgh
*/

function cleanApiEndpointTxt(input) {
    var output = clean.sanitize.keepSpace(input)
    if (output != input){
        log.out(`sanitizerUtils.cleanApiEndpoint: WARN: Sanitizing changed string. Input = ${input}`, "warn");
    }
    return output
}

function cleanApiEndpointNum(input) {
    var output = clean.sanitize.keepNumber(input)
    if (output != input){
        log.out(`sanitizerUtils.cleanApiEndpointNum: WARN: Sanitizing changed string. Input = ${input}`, "warn");
    }
    return output
}

function cleanNrcc(input) {
    var rmNewline = input.replace(/[\n\r]/g, ""); // Remove newlines
    var rmPara = rmNewline.replace(/<\/?p[^>]*>/g, ""); // Remove <p> & </p>
    return rmPara;
}

async function getDomainFromEmail(mail) { // Needs testing
    split = mail.split("@")
    return split[1]
}

module.exports = {
    cleanApiEndpointTxt,
    cleanApiEndpointNum,
    cleanNrcc,
    getDomainFromEmail
}